/[gentoo-x86]/dev-python/PyQt4/ChangeLog
Gentoo

Diff of /dev-python/PyQt4/ChangeLog

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

Revision 1.121 Revision 1.183
1# ChangeLog for dev-python/PyQt4 1# ChangeLog for dev-python/PyQt4
2# Copyright 1999-2010 Gentoo Foundation; Distributed under the GPL v2 2# Copyright 1999-2012 Gentoo Foundation; Distributed under the GPL v2
3# $Header: /var/cvsroot/gentoo-x86/dev-python/PyQt4/ChangeLog,v 1.121 2010/07/15 11:19:50 hwoarang Exp $ 3# $Header: /var/cvsroot/gentoo-x86/dev-python/PyQt4/ChangeLog,v 1.183 2012/05/21 19:34:29 floppym Exp $
4
5 21 May 2012; Mike Gilbert <floppym@gentoo.org> PyQt4-4.8.1.ebuild,
6 PyQt4-4.8.4.ebuild, PyQt4-4.9.1.ebuild:
7 Inherit eutils.
8
9 16 May 2012; Mike Gilbert <floppym@gentoo.org> PyQt4-4.8.1.ebuild,
10 PyQt4-4.8.4.ebuild, PyQt4-4.9.1.ebuild:
11 Revert previous change.
12
13 16 May 2012; Mike Gilbert <floppym@gentoo.org> PyQt4-4.8.1.ebuild,
14 PyQt4-4.8.4.ebuild, PyQt4-4.9.1.ebuild:
15 Restrict python 3.1 to match dev-python/dbus-python.
16
17 13 May 2012; Davide Pesavento <pesa@gentoo.org> metadata.xml:
18 Fix kde USE flag description (media-libs/phonon vs. media-sound/phonon).
19
20 04 May 2012; Patrick Lauer <patrick@gentoo.org> PyQt4-4.9.1.ebuild:
21 Migrating dev-util/pkgconfig -> virtual/pkgconfig
22
23 24 Apr 2012; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.9.1.ebuild:
24 Stable for amd64, wrt bug #412929
25
26 31 Mar 2012; Tobias Klausmann <klausman@gentoo.org> PyQt4-4.8.4.ebuild:
27 Stable on alpha, bug #354033
28
29 07 Mar 2012; Andreas K. Huettel <dilfridge@gentoo.org> PyQt4-4.8.1.ebuild,
30 PyQt4-4.8.4.ebuild:
31 PyQt4-4.8 does not build with sip-4.13, bug 407291
32
33 07 Mar 2012; Davide Pesavento <pesa@gentoo.org> PyQt4-4.9.1.ebuild:
34 Slightly improve the ewarn message in pkg_postinst().
35
36 07 Mar 2012; Davide Pesavento <pesa@gentoo.org> metadata.xml:
37 Put qt as the primary herd in metadata.
38
39 07 Mar 2012; Davide Pesavento <pesa@gentoo.org> PyQt4-4.8.4.ebuild:
40 Fix insecure RUNPATH in qpy/QtOpenGL, thanks to Steve L
41 <slong@rathaus.eclipse.co.uk> in bug #407281.
42
43 03 Mar 2012; Davide Pesavento <pesa@gentoo.org> PyQt4-4.9.1.ebuild:
44 Switch to EAPI 4, add REQUIRED_USE.
45
46 02 Mar 2012; Davide Pesavento <pesa@gentoo.org> PyQt4-4.8.1.ebuild,
47 PyQt4-4.8.4.ebuild:
48 Drop ~x86-fbsd because of unkeyworded dependencies.
49
50 02 Mar 2012; Davide Pesavento <pesa@gentoo.org> PyQt4-4.9.1.ebuild:
51 Don't enable QtAssistant module because it was removed in qt-4.7 and we
52 already depend on 4.7.2 or later.
53
54 21 Feb 2012; Davide Pesavento <pesa@gentoo.org> -PyQt4-4.7.3.ebuild,
55 PyQt4-4.8.1.ebuild, PyQt4-4.8.4.ebuild:
56 Restrict pypy for older versions too.
57
58 21 Feb 2012; Davide Pesavento <pesa@gentoo.org> PyQt4-4.9.1.ebuild:
59 Build QtTest module only with USE="X" because it needs QtGui (bug #348349).
60 Add build-time dep on pkgconfig with USE="dbus". Raise minimum required Qt
61 version.
62
63 20 Feb 2012; Davide Pesavento <pesa@gentoo.org> -PyQt4-4.7.7-r1.ebuild,
64 -PyQt4-4.8.1-r1.ebuild, -PyQt4-4.8.2.ebuild, -PyQt4-4.8.3.ebuild,
65 -PyQt4-4.8.5.ebuild, -PyQt4-4.8.6.ebuild, -PyQt4-4.9.ebuild,
66 -files/PyQt4-4.7.7-fix-scpk-and-flag-issue.diff,
67 -files/PyQt4-4.8.3-configure-multilib.patch, metadata.xml:
68 Add <upstream> tag to metadata. Cleanup old ebuilds and patches.
69
70 20 Feb 2012; Patrick Lauer <patrick@gentoo.org> PyQt4-4.7.3.ebuild,
71 PyQt4-4.7.7-r1.ebuild, PyQt4-4.8.1-r1.ebuild, PyQt4-4.8.1.ebuild,
72 PyQt4-4.8.2.ebuild, PyQt4-4.8.3.ebuild, PyQt4-4.8.4.ebuild,
73 PyQt4-4.8.5.ebuild, PyQt4-4.8.6.ebuild, PyQt4-4.9.1.ebuild, PyQt4-4.9.ebuild:
74 Fixing pypy restricts to actually work
75
76*PyQt4-4.9.1 (12 Feb 2012)
77
78 12 Feb 2012; Markos Chandras <hwoarang@gentoo.org> +PyQt4-4.9.1.ebuild:
79 version bump
80
81 25 Jan 2012; Alex Alexander <wired@gentoo.org> PyQt4-4.9.ebuild:
82 builds with qt-opengl-4.8.0[egl], updated dep
83
84 27 Dec 2011; Maxim Koltsov <maksbotan@gentoo.org> PyQt4-4.9.ebuild:
85 Enable versioning of /usr/bin/pyuic4. Run eqmake4() in qpy/QtDBus directory.
86 Fixes backported from Progress Overlay. Patch by Arfrever.
87
88*PyQt4-4.9 (24 Dec 2011)
89
90 24 Dec 2011; Markos Chandras <hwoarang@gentoo.org> +PyQt4-4.9.ebuild:
91 Version bump
92
93*PyQt4-4.8.6 (11 Nov 2011)
94
95 11 Nov 2011; Markos Chandras <hwoarang@gentoo.org> +PyQt4-4.8.6.ebuild:
96 Version bump
97
98 24 Aug 2011; Markos Chandras <hwoarang@gentoo.org> PyQt4-4.8.5.ebuild:
99 Restrict PyPy ABIs. Avoid warnings about insecure runpaths (bug #376483).
100 Print useful warning in pkg_postinst(). Patch by Arfrever. Backported from
101 python overlay.
102
103*PyQt4-4.8.5 (19 Aug 2011)
104
105 19 Aug 2011; Markos Chandras <hwoarang@gentoo.org> +PyQt4-4.8.5.ebuild:
106 Version bump
107
108 25 Jul 2011; Kacper Kowalik <xarthisius@gentoo.org> PyQt4-4.8.4.ebuild:
109 ppc/ppc64 stable wrt #374591
110
111 21 Jul 2011; Markus Meier <maekke@gentoo.org> PyQt4-4.8.4.ebuild:
112 x86 stable, bug #374591
113
114 13 Jul 2011; Kacper Kowalik <xarthisius@gentoo.org> PyQt4-4.8.3.ebuild:
115 ppc64 stable wrt #354033
116
117 10 Jul 2011; Markos Chandras <hwoarang@gentoo.org> PyQt4-4.8.4.ebuild:
118 Stable on amd64 wrt bug #374591
119
120 01 Jun 2011; Brent Baude <ranger@gentoo.org> PyQt4-4.8.3.ebuild:
121 Marking PyQt4-4.8.3 ppc stable for bug 354033
122
123 09 May 2011; Markos Chandras <hwoarang@gentoo.org> PyQt4-4.8.3.ebuild:
124 Stable on amd64 wrt bug #354033
125
126 09 May 2011; Thomas Kahle <tomka@gentoo.org> PyQt4-4.8.3.ebuild:
127 x86 stable per bug 354033
128
129*PyQt4-4.8.4 (02 May 2011)
130
131 02 May 2011; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
132 +PyQt4-4.8.4.ebuild:
133 Version bump.
134
135 26 Mar 2011; Andreas K. Huettel <dilfridge@gentoo.org> PyQt4-4.7.3.ebuild,
136 PyQt4-4.7.7-r1.ebuild, PyQt4-4.8.1.ebuild, PyQt4-4.8.1-r1.ebuild,
137 PyQt4-4.8.2.ebuild, PyQt4-4.8.3.ebuild:
138 Adapt phonon dependency for package move
139
140 16 Mar 2011; Kacper Kowalik <xarthisius@gentoo.org> PyQt4-4.8.1.ebuild:
141 ppc64 stable wrt #349607
142
143 27 Feb 2011; Raúl Porcel <armin76@gentoo.org> PyQt4-4.8.1.ebuild:
144 ia64/sparc stable wrt #349607
145
146 27 Feb 2011; Tobias Klausmann <klausman@gentoo.org> PyQt4-4.8.1.ebuild:
147 Stable on alpha, bug #349607
148
149 28 Jan 2011; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
150 PyQt4-4.8.3.ebuild:
151 Update dependencies (bug #353053).
152
153*PyQt4-4.8.3 (25 Jan 2011)
154
155 25 Jan 2011; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
156 +PyQt4-4.8.3.ebuild, +files/PyQt4-4.8.3-configure-multilib.patch:
157 Version bump.
158
159 16 Jan 2011; Pawel Hajdan jr <phajdan.jr@gentoo.org> PyQt4-4.8.1.ebuild:
160 x86 stable wrt bug #349607
161
162 07 Jan 2011; Brent Baude <ranger@gentoo.org> PyQt4-4.8.1.ebuild:
163 Marking PyQt4-4.8.1 ppc stable for bug 349607
164
165 04 Jan 2011; Markos Chandras <hwoarang@gentoo.org> PyQt4-4.8.1.ebuild:
166 Stable on amd64 wrt bug #349607
167
168 30 Dec 2010; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
169 PyQt4-4.8.1.ebuild, PyQt4-4.8.1-r1.ebuild, PyQt4-4.8.2.ebuild:
170 Require x11-libs/qt-opengl[-egl] until bug #344513 is fixed.
171
172*PyQt4-4.8.1-r1 (30 Dec 2010)
173
174 30 Dec 2010; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
175 PyQt4-4.8.1.ebuild, +PyQt4-4.8.1-r1.ebuild:
176 Copy 4.8.1 to 4.8.1-r1. Delete "declarative" USE flag in 4.8.1.
177
178 25 Dec 2010; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
179 PyQt4-4.8.2.ebuild:
180 Fix dependencies (bug #349672).
181
182*PyQt4-4.8.2 (24 Dec 2010)
183
184 24 Dec 2010; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
185 +PyQt4-4.8.2.ebuild:
186 Version bump.
187
188 19 Dec 2010; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
189 PyQt4-4.7.3.ebuild, PyQt4-4.7.7-r1.ebuild, PyQt4-4.8.1.ebuild:
190 Restrict Jython ABIs.
191
192 19 Dec 2010; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
193 -files/PyQt4-4.5.4-qgraphicslinearlayout-fix.patch,
194 -files/configure-4.6.1.py.patch, -PyQt4-4.6.2.ebuild, -PyQt4-4.8.ebuild,
195 -files/configure.py.patch:
196 Delete.
197
198 06 Dec 2010; Alex Alexander <wired@gentoo.org> -PyQt4-4.5.4-r4.ebuild:
199 old, depends on qt 4.5
200
201 06 Nov 2010; Jeroen Roovers <jer@gentoo.org> PyQt4-4.5.4-r4.ebuild,
202 PyQt4-4.6.2.ebuild, PyQt4-4.7.3.ebuild, PyQt4-4.7.7-r1.ebuild,
203 PyQt4-4.8.ebuild, PyQt4-4.8.1.ebuild:
204 Remove HPPA keywording (bug #239441).
205
206*PyQt4-4.8.1 (30 Oct 2010)
207
208 30 Oct 2010; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
209 +PyQt4-4.8.1.ebuild:
210 Version bump.
211
212 23 Oct 2010; Raúl Porcel <armin76@gentoo.org> PyQt4-4.7.3.ebuild:
213 ia64/sparc stable wrt #315775
214
215*PyQt4-4.8 (23 Oct 2010)
216
217 23 Oct 2010; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
218 -PyQt4-4.7.ebuild, -PyQt4-4.7.5.ebuild, -PyQt4-4.7.7.ebuild,
219 +PyQt4-4.8.ebuild, metadata.xml:
220 Version bump.
221
222*PyQt4-4.7.7-r1 (06 Oct 2010)
223
224 06 Oct 2010; Theo Chatzimichos <tampakrap@gentoo.org>
225 +PyQt4-4.7.7-r1.ebuild, +files/PyQt4-4.7.7-fix-scpk-and-flag-issue.diff:
226 Revision bump, add patch that fixes compilation with PyKDE 4.5.2
227
228*PyQt4-4.7.7 (21 Sep 2010)
229
230 21 Sep 2010; Markos Chandras <hwoarang@gentoo.org> -PyQt4-4.7.6.ebuild,
231 +PyQt4-4.7.7.ebuild:
232 Version bump. Remove old bogus version
233
234 13 Sep 2010; Tobias Klausmann <klausman@gentoo.org> PyQt4-4.7.3.ebuild:
235 Stable on alpha, bug #315775
236
237 13 Sep 2010; Joseph Jezak <josejx@gentoo.org> PyQt4-4.7.3.ebuild:
238 Marked ppc stable for bug #315775.
239
240 10 Sep 2010; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
241 PyQt4-4.7.6.ebuild:
242 Update EAPI. Fix dependencies.
243
244*PyQt4-4.7.6 (08 Sep 2010)
245
246 08 Sep 2010; Markos Chandras <hwoarang@gentoo.org> -PyQt4-4.7.2.ebuild,
247 +PyQt4-4.7.6.ebuild:
248 Version bump. Remove old ebuild
249
250 01 Sep 2010; Markos Chandras <hwoarang@gentoo.org> -PyQt4-4.7.4.ebuild,
251 PyQt4-4.7.5.ebuild:
252 Drop old bogus ebuild. Drop RESTRICT_PYTHON_ABIS from latest ebuild
253
254*PyQt4-4.7.5 (01 Sep 2010)
255
256 01 Sep 2010; Markos Chandras <hwoarang@gentoo.org> PyQt4-4.7.4.ebuild,
257 +PyQt4-4.7.5.ebuild:
258 Version bump
259
260 18 Aug 2010; Jeroen Roovers <jer@gentoo.org> PyQt4-4.7.3.ebuild:
261 Stable for HPPA (bug #315775).
4 262
5 15 Jul 2010; Markos Chandras <hwoarang@gentoo.org> PyQt4-4.7.4.ebuild: 263 15 Jul 2010; Markos Chandras <hwoarang@gentoo.org> PyQt4-4.7.4.ebuild:
6 Bump sip dependency to 4.10.3. Fix arm epatch command 264 Bump sip dependency to 4.10.3. Fix arm epatch command
7 265
8*PyQt4-4.7.4 (13 Jul 2010) 266*PyQt4-4.7.4 (13 Jul 2010)

Legend:
Removed from v.1.121  
changed lines
  Added in v.1.183

  ViewVC Help
Powered by ViewVC 1.1.20